%define ARTS_ON 0
%if_with master
%define distr master
%endif
%if_with junior
%define distr junior
%endif
%ifndef distr
%define distr sisyphus
%endif

%define unpack tar xvfjk

Name: kde-settings
Version: 3.4.1
Release: alt7
#
Group: Graphical desktop/KDE
Summary: The default configuration files for KDE
License: GPL
BuildArch: noarch
#
Requires: design-graphics >= 3.1.1
Obsoletes: kde-desktoplnk, kde-design, kde-config
Conflicts: kdelibs < %version, kdebase-libs < %version
Conflicts: %name-kdm < %version %name-kdm > %version

BuildRequires: XFree86-utils

Source0: ksysguarddrc
Source1: kde-set-libs.tar.bz2
Source2: kde-set-base.tar.bz2
Source3: kde-set-arts-on.tar.bz2
Source4: kde-set-arts-off.tar.bz2
Source5: kde-set-kdm.tar.bz2
Source6: kde-set-network.tar.bz2
Source7: kde-set-multimedia.tar.bz2
Source8: kde-set-pim.tar.bz2
Source9: kde-set-utils.tar.bz2
Source10: kde-set-games.tar.bz2
Source11: kde-set-accessibility.tar.bz2
Source12: kde-set-graphics.tar.bz2
Source13: kde-set-artwork.tar.bz2
Source14: kde-set-addons.tar.bz2
Source15: kde-set-edu.tar.bz2
#
Source51: kde-kcfg-multimedia.tar.bz2
Source52: kde-kcfg-pim.tar.bz2
Source53: kde-kcfg-utils.tar.bz2
Source54: kde-kcfg-games.tar.bz2
Source55: kde-kcfg-addons.tar.bz2
Source56: kde-kcfg-edu.tar.bz2
Source57: kde-kcfg-base.tar.bz2
Source58: kde-kcfg-network.tar.bz2
Source59: kde-kcfg-sdk.tar.bz2
Source60: kde-kcfg-webdev.tar.bz2
Source61: kde-kcfg-graphics.tar.bz2
#
Source110: preloadkde
Source111: kde-desktoplnk.tar.bz2
Source112: kde-bookmarks.tar.bz2
Source113: %name-Default-alt.kcsrc
#
Source121: %name-user.tar.bz2


%description
%name package contains the default configuration
files for the K Desktop Environment.

%package kdm
Group: Graphical desktop/KDE
Summary: The default configuration files for KDM
Requires: design-graphics >= 3.1.1
Conflicts: kdelibs < %version, kdebase-libs < %version
Conflicts: kde-settings < 3.4.0-alt0.0.0.1
Conflicts: %name < %version %name > %version
#
%description kdm
%name package contains the default configuration
files for the KDE Display Manager.


%install
install -d -m 0755 %buildroot/%_bindir
install -d -m 0755 %buildroot/%_sysconfdir/X11/kdm
install -d -m 0755 %buildroot/%_datadir/config/kdm
install -d -m 0755 %buildroot/%_datadir/config.kcfg
install -d -m 0755 %buildroot/%_datadir/alt/kde

# sysconfig
mkdir -p %buildroot/%_sysconfdir
install -m 0644 %SOURCE0 %buildroot/%_sysconfdir/ksysguarddrc

# config
pushd %buildroot/%_datadir/config
    %unpack %SOURCE1
    %unpack %SOURCE2
%if %ARTS_ON
    %unpack %SOURCE3
%else
    %unpack %SOURCE4
%endif
    %unpack %SOURCE6
    %unpack %SOURCE7
    %unpack %SOURCE8
    %unpack %SOURCE9
    %unpack %SOURCE10
    %unpack %SOURCE11
    %unpack %SOURCE12
    %unpack %SOURCE13
    %unpack %SOURCE14
    %unpack %SOURCE15
popd
# config.kcfg
pushd %buildroot/%_datadir/config.kcfg
    %unpack %SOURCE51
    %unpack %SOURCE52
    %unpack %SOURCE53
    %unpack %SOURCE54
    %unpack %SOURCE55
    %unpack %SOURCE56
    %unpack %SOURCE57
    %unpack %SOURCE58
    %unpack %SOURCE59
    %unpack %SOURCE60
    %unpack %SOURCE61
popd

# kdm
install -m 0755 %SOURCE110 %buildroot/%_bindir/preloadkde
pushd %buildroot/%_sysconfdir/X11/kdm
    %unpack %SOURCE5
popd
ln -s ../../../../%_sysconfdir/X11/kdm/kdmrc %buildroot/%_datadir/config/kdm/kdmrc

install -d -m 0755 %buildroot/%_datadir/apps/kdisplay/color-schemes
install -m 0644 %SOURCE113 %buildroot/%_datadir/apps/kdisplay/color-schemes/ALT_Default.kcsrc

mkdir -p %buildroot/%_datadir/apps/kdesktop/DesktopLinks/
pushd %buildroot/%_datadir/apps/kdesktop/DesktopLinks/
    %unpack %SOURCE111
popd

pushd %buildroot/%_datadir/alt/kde
    %unpack %SOURCE112
popd

install -d -m 0755 %buildroot/%_datadir/alt/kde/userconfig
pushd %buildroot/%_datadir/alt/kde/userconfig
    %unpack %SOURCE121
popd


%files
%config(noreplace) %_sysconfdir/ksysguarddrc
#
%dir %_datadir/config/
%config(noreplace) %_datadir/config/*
%exclude %_datadir/config/kdm
#
%dir %_datadir/config.kcfg/
%config(noreplace) %_datadir/config.kcfg/*
#
%dir %_datadir/apps/kdisplay/
%dir %_datadir/apps/kdisplay/color-schemes/
%_datadir/apps/kdisplay/color-schemes/*
#
%dir %_datadir/apps/kdesktop/
%dir %_datadir/apps/kdesktop/DesktopLinks/
%_datadir/apps/kdesktop/DesktopLinks/*
%_datadir/alt/kde/userconfig
%_datadir/alt/kde/*bookmarks*

%files kdm
%_bindir/preloadkde
%dir %_sysconfdir/X11/kdm
%config(noreplace) %attr(0644,root,root) %_sysconfdir/X11/kdm/kdmrc
%config(noreplace) %attr(0644,root,root) %_sysconfdir/X11/kdm/backgroundrc
%config(noreplace) %attr(0755,root,root) %_sysconfdir/X11/kdm/X*
%config(noreplace) %_datadir/config/kdm

%changelog
* Thu Sep 29 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt7
- use color scheme for kdm from design-graphics

* Mon Sep 12 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt6
- show detailed menu entries names first

* Mon Aug 08 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt5
- fix default path to kdm user faces

* Fri Aug 05 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt4
- fix default konsole font

* Thu Jul 21 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt3
- add default accel for popup menu
- add Link for ~/Documents to ~/Desktop

* Mon Jul 18 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt2
- turn preview in konqueror off
- remove Update icon from desktop

* Fri Jul 08 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt1
- return oldstyle view for kdm
- add default local account for kmail

* Wed May 04 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt3
- set default theme to Plastik
- fix default widgets color to GTK best look

* Fri Apr 01 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt2
- update kdmrc

* Thu Mar 31 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt1
- new version

* Tue Jan 11 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt1
- rebuild

* Tue Jan 04 2005 ZerG <zerg@altlinux.ru> 3.3.2-alt0.0.M24
- new version

* Fri Dec 10 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt2
- don't save synaptic to session
- don't preload konqueror by default

* Thu Nov 11 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt1
- update kdmrc

* Thu Sep 30 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.0-alt1
- new version

* Wed Aug 18 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt8
- set x-cursor theme to jimmac

* Tue Aug 17 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt7
- turn off default x-cursor theme

* Mon Jul 19 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt6
- fix update.desktop

* Thu Jul 15 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt5
- don't use artsdsp for nsplugins

* Wed Jul 14 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt4
- fix kcmartsrc

* Tue Jul 13 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt3
- set arts suspend time to 1 sec

* Wed Jul 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt2
- don't lock screen in screensaver by default

* Fri Jul 02 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt1
- update settings
- update Desktop .desktop-s

* Wed May 26 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt5
- fix path to play_wrapper.sh

* Fri May 21 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt4
- use external player for notifing - play_wrapper.sh from sound_handler

* Wed May 05 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt3
- fix ksysguardrc placement

* Mon Apr 26 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt2
- AutoLineUpIcons=true for Desktop

* Wed Apr 21 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt1
- update config files

* Wed Feb 11 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.0-alt1
- update config files for KDE 3.2

* Mon Nov 03 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt8
- turn saving session to KDE default setting

* Wed Oct 29 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt7
- don't save session by default
- fix alternative player name

* Fri Oct 24 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt6
- turn off artsd by default

* Mon Oct 20 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt5
- dock into panel kppp by default
- dock into panel kmix by default

* Wed Oct 15 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt4
- comment xsetroot in /etc/X11/kdm/Xsetup_0

* Fri Oct 03 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt3
- move /usr/share/config/* from kdenetwork

* Wed Sep 24 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt2
- default sort by thread in kmail

* Mon Sep 22 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt1
- turn on full-duplex in arts by default
- fix welcome message in kdm

* Fri Aug 01 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.3-alt1
- change URLs from /usr/share/design to /usr/share/artworks

* Thu Jul 10 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt3.sisyphus
- showing devices on desktop by default turned on

* Mon Jun 16 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt2.sisyphus
- fix klipperrc about mozilla

* Tue Jun 10 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt1.sisyphus
- new version

* Tue Mar 25 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt10.sisyphus
- add ksysguarddrc
- change from logo to clock in kdm
- change greeting string

* Wed Feb 26 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt9.sisyphus
- different backgrounds for desktops 1 2 3 and 4

* Tue Feb 11 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt8.sisyphus
- fix spec

* Tue Feb 11 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt7.sisyphus
- turn off desktop devices

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt6.sisyphus
- build for sisyphus

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt6.master
- distributable-depended theme in ksplashml
- build for master

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt5
- ars default default trought oss

* Thu Jan 23 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt4
- update settings
- add kdeprintrc from kdelibs

* Thu Jan 16 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt3
- update settings
- move kdmrc to /etc/X11/kdm

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt2
- fix path to kdm-logo

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt1
- Initial revision.
